Reinstalar en Postgresql 8.4

11 views
Skip to first unread message

imosqueira

unread,
Jul 5, 2010, 5:52:15 PM7/5/10
to abanq
Hola,

Necesito hacer una copia de la base de datos de un servidor debian con
Postgres 8.1 a otro ubuntu con Postgres 8.4. Luego de hacer un dump y
recrear la BD en el nuevo servidor, tengo problemas al añadir nuevos
artículos o proveedores para los ya existentes.

He probado a seguir el mismo procedimiento en el servidor antiguo,
creando una copia de una base con un nombre nuevo, y va bien. Así que
sospecho de algún problema de versiones. He probado en el nuevo
servidor con 8.3 y tampoco funciona.

¿Alguien tiene experiencia con problemas de versiones de Postgres?
¿Que otra cosa podria probar?

Un saludo,


Iago

Sparhawk

unread,
Jul 6, 2010, 6:09:57 AM7/6/10
to abanq
Hola,

Yo tengo AbanQ tirando de PostgreSQL 8.4 (y anteriormente del 8.3) y
no tuve ningún problema. ¿Puedes poner el log del problema que tienes?

Saludos

imosqueira

unread,
Jul 6, 2010, 11:00:09 AM7/6/10
to abanq
Hola,

Al seleccionar un proveedor de las lista de los ya existentes para un
artículo cualquiera, y darle a Guardar, obtengo

No se puede validar el registro actual porque:

articulosprov:Referencia : El valor P009CYN1025NEVNEG no existe en la
tabla articulos
articulosprov:Proveedor : El valor 000042 no existe en la tabla
proveedores
articulosprov:Divisa : El valor EUR no existe en la tabla divisas

P009CYN1025NEVNEG es el artículo que intento modificar, y que existe
ya que es el que abrí para modificar, 000042 es el código del
proveedor que intento asignar, y EUR es la moneda en que está toda la
base de datos :-)

Este problema no ocurre el la instalación en 8.1, y después de muchas
pruebas es la única diferencia entre ambas instalaciones, por eso
sospechaba de que fuera la causa. ¿Alguna idea?

Gracias,


Iago

Alberto Garcia

unread,
Jul 6, 2010, 11:36:30 AM7/6/10
to ab...@googlegroups.com
El problema puede venir por los casts. que sean distintos de una versión a otra. Y que no estén bien definidos. Si nos dejas una copia de seguridad en la versión 8.4 igual podemos intentar recuperarla y verla.

saludos,

Alberto Garcia Larequi
--------------------------------------
Albertogarcia.net - mi blog


--
Has recibido este mensaje porque estás suscrito a Grupo "abanq" de Grupos de Google.
 Si quieres publicar en este grupo, envía un mensaje de correo
electrónico a ab...@googlegroups.com
 Para anular la suscripción a este grupo, envía un mensaje a abanq-un...@googlegroups.com
 Para obtener más opciones, visita este grupo en http://groups.google.com/group/abanq?hl=es.
 No dejes de visitar la web donde estamos compartiendo codigo http://code.google.com/p/abanq-mods/

imosqueira

unread,
Jul 7, 2010, 3:25:09 AM7/7/10
to abanq
He visto que el tratamiento de los casts cambió en el paso a 8.3. las
modificaciones, ¿habría que hacerlas en la base o es una cuestión de
la versión 2.2 de Abanq?

Saludos,


Iago

On 6 jul, 17:36, Alberto Garcia <albertogar...@gmail.com> wrote:
> El problema puede venir por los casts. que sean distintos de una versión a
> otra. Y que no estén bien definidos. Si nos dejas una copia de seguridad en
> la versión 8.4 igual podemos intentar recuperarla y verla.
>
> saludos,
>
> Alberto Garcia Larequi
> --------------------------------------
> Albertogarcia.net - mi blog
>

imosqueira

unread,
Jul 7, 2010, 3:29:19 AM7/7/10
to abanq
He visto que el tratamiento de los casts cambió en el paso a 8.3. las
modificaciones, ¿habría que hacerlas en la base o es una cuestión de
la versión 2.2 de Abanq?

Saludos,


Iago

On 6 jul, 17:36, Alberto Garcia <albertogar...@gmail.com> wrote:
> El problema puede venir por los casts. que sean distintos de una versión a
> otra. Y que no estén bien definidos. Si nos dejas una copia de seguridad en
> la versión 8.4 igual podemos intentar recuperarla y verla.
>
> saludos,
>
> Alberto Garcia Larequi
> --------------------------------------
> Albertogarcia.net - mi blog
>
Reply all
Reply to author
Forward
0 new messages